#include <stdio.h>
#include <stdlib.h>
#include <limits.h>
#define BUFFSIZE INT_MAX-2

char buf[BUFFSIZE+2];

void main(int argc, char **argv)
{
  char *buf;
  char *start;

  if(argc>1)
  {
    printf("Addspace ver 1.0. Last compiled %s\n", __TIMESTAMP__);
    printf("%s <input_file >output_file\n", argv[0]);
    exit(1);
  }

  if((buf=(char *)malloc(BUFFSIZE+2))==NULL)
  {
    printf("%s: Cannot allocate memory for buffer\n", argv[0]);
    exit(1);
  }

  start=buf+1;
  *buf=' ';

  while(fgets(start, BUFFSIZE, stdin)!=NULL)
    fputs(*start==' ' ? start : buf, stdout);

  free(buf);
  exit(0);
}
